# Enum Class WebdavServlet.PropfindType

java.lang.Object
java.lang.Enum<WebdavServlet.PropfindType>
org.apache.catalina.servlets.WebdavServlet.PropfindType

All Implemented Interfaces:
  `Serializable`, `Comparable<WebdavServlet.PropfindType>`, `Constable`

Enclosing class:
  `WebdavServlet`

public static enum WebdavServlet.PropfindType extends Enum<WebdavServlet.PropfindType>
Type of PROPFIND request.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FIND_ALL_PROP`
  `FIND_BY_PROPERTY`
  `FIND_PROPERTY_NAMES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WebdavServlet.PropfindType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WebdavServlet.PropfindType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FIND_BY_PROPERTY

    public static final WebdavServlet.PropfindType FIND_BY_PROPERTY

  - ### FIND_ALL_PROP

    public static final WebdavServlet.PropfindType FIND_ALL_PROP

  - ### FIND_PROPERTY_NAMES

    public static final WebdavServlet.PropfindType FIND_PROPERTY_NAMES

- ## Method Details

  - ### values

    public static WebdavServlet.PropfindType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WebdavServlet.PropfindType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null